コンテンツへスキップ

Marigold Depth Estimation

統合

モデルID imageutils/marigold-depth
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/imageutils/marigold-depth?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.014 14 APIクレジット このページで実行

APIキーを取得
Utility 画像編集 #depth#utility

Marigoldで深度マップを推定し、ノイズ除去ステップ数、アンサンブルサイズ、処理解像度を調整可能

Utility · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

入力画像の URL。

詳細設定 num_inference_steps · ensemble_size · processing_res
デフォルト 10

ノイズ除去ステップ数。増やすほど推論速度と精度のトレードオフが生じます。デフォルトは`10`です。

デフォルト 10

平均化するサンプル数。予測を増やすと推論速度を犠牲にして精度が向上します。デフォルトは`10`です。

デフォルト 0

処理解像度の上限。`0`にすると別の上限ではなく入力画像のサイズを使用します。デフォルトは`0`です。

POST /run/imageutils/marigold-depth?wait=20 見積もり → $0.014
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/imageutils/marigold-depth?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Marigold Depth Estimationについて

Marigold方式で入力画像から深度マップを生成します。`num_inference_steps`と`ensemble_size`はそれぞれ2~50(デフォルトはどちらも10)で、高い値ほど精度が上がりますが処理は遅くなります。`processing_res`は最大2048で、0にすると入力画像のサイズを使用します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
入力画像の URL。
num_inference_steps任意
型integer
デフォルト10
2 – 50
ノイズ除去ステップ数。増やすほど推論速度と精度のトレードオフが生じます。デフォルトは`10`です。
ensemble_size任意
型integer
デフォルト10
2 – 50
平均化するサンプル数。予測を増やすと推論速度を犠牲にして精度が向上します。デフォルトは`10`です。
processing_res任意
型integer
デフォルト0
0 – 2,048
処理解像度の上限。`0`にすると別の上限ではなく入力画像のサイズを使用します。デフォルトは`0`です。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "imageutils/marigold-depth",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 14,
    "usd": "0.014",
    "charged": 14,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}深度マップの出力。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/imageutils/marigold-depth.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt